Up

# NSTableView

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)
Pierre-Yves Rivaille (`pyrivail@ens-lyon.fr`)

Copyright: (C) 2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTableView class
2. Software documentation for the NSObject(NSTableDataSource) informal protocol
3. Software documentation for the NSObject(NSTableViewDelegate) informal protocol
4. Software documentation for the NSTableView(GNUPrivate) category

# Software documentation for the NSTableView class

## NSTableView : NSControl

> Declared in:
>   AppKit/NSTableView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_selectColumn:modifiers:
- -_sendDoubleActionForColumn:
- -addTableColumn:
- -allowsColumnReordering
- -allowsColumnResizing
- -allowsColumnSelection
- -allowsEmptySelection
- -allowsMultipleSelection
- -autoresizesAllColumnsToFit
- -autosaveName
- -autosaveTableColumns
- -backgroundColor
- -clickedColumn
- -clickedRow
- -columnAtPoint:
- -columnWithIdentifier:
- -columnsInRect:
- -cornerView
- -dataSource
- -delegate
- -deselectAll:
- -deselectColumn:
- -deselectRow:
- -doubleAction
- -dragImageForRows:event:dragImageOffset:
- -drawGridInClipRect:
- -drawRow:clipRect:
- -drawsGrid
- -editColumn:row:withEvent:select:
- -editedColumn
- -editedRow
- -frameOfCellAtColumn:row:
- -gridColor
- -headerView
- -highlightSelectionInClipRect:
- -highlightedTableColumn
- -indicatorImageInTableColumn:
- -intercellSpacing
- -isColumnSelected:
- -isRowSelected:
- -moveColumn:toColumn:
- -noteNumberOfRowsChanged
- -numberOfColumns
- -numberOfRows
- -numberOfSelectedColumns
- -numberOfSelectedRows
- -rectOfColumn:
- -rectOfRow:
- -reloadData
- -removeTableColumn:
- -rowAtPoint:
- -rowHeight
- -rowsInRect:
- -scrollColumnToVisible:
- -scrollRowToVisible:
- -selectAll:
- -selectColumn:byExtendingSelection:
- -selectRow:byExtendingSelection:
- -selectedColumn
- -selectedColumnEnumerator
- -selectedRow
- -selectedRowEnumerator
- -setAllowsColumnReordering:
- -setAllowsColumnResizing:
- -setAllowsColumnSelection:
- -setAllowsEmptySelection:
- -setAllowsMultipleSelection:
- -setAutoresizesAllColumnsToFit:
- -setAutosaveName:
- -setAutosaveTableColumns:
- -setBackgroundColor:
- -setCornerView:
- -setDataSource:
- -setDelegate:
- -setDoubleAction:
- -setDrawsGrid:
- -setDropRow:dropOperation:
- -setFrame:
- -setGridColor:
- -setHeaderView:
- -setHighlightedTableColumn:
- -setIndicatorImage:inTableColumn:
- -setIntercellSpacing:
- -setRowHeight:
- -setVerticalMotionCanBeginDrag:
- -sizeLastColumnToFit
- -tableColumnWithIdentifier:
- -tableColumns
- -textDidBeginEditing:
- -textDidChange:
- -textDidEndEditing:
- -textShouldBeginEditing:
- -textShouldEndEditing:
- -tile
- -verticalMotionCanBeginDrag

### addTableColumn:

- (void) addTableColumn: (NSTableColumn*)aColumn;

Description forthcoming.

### allowsColumnReordering

- (BOOL) allowsColumnReordering;

Description forthcoming.

### allowsColumnResizing

- (BOOL) allowsColumnResizing;

Description forthcoming.

### allowsColumnSelection

- (BOOL) allowsColumnSelection;

Description forthcoming.

### allowsEmptySelection

- (BOOL) allowsEmptySelection;

Description forthcoming.

### allowsMultipleSelection

- (BOOL) allowsMultipleSelection;

Description forthcoming.

### autoresizesAllColumnsToFit

- (BOOL) autoresizesAllColumnsToFit;

Description forthcoming.

### autosaveName

- (NSString*) autosaveName;

Description forthcoming.

### autosaveTableColumns

- (BOOL) autosaveTableColumns;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### clickedColumn

- (int) clickedColumn;

Description forthcoming.

### clickedRow

- (int) clickedRow;

Description forthcoming.

### columnAtPoint:

- (int) columnAtPoint: (NSPoint)aPoint;

Description forthcoming.

### columnWithIdentifier:

- (int) columnWithIdentifier: (id)identifier;

Description forthcoming.

### columnsInRect:

- (NSRange) columnsInRect: (NSRect)aRect;

Description forthcoming.

### cornerView

- (NSView*) cornerView;

Description forthcoming.

### dataSource

- (id) dataSource;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### deselectAll:

- (void) deselectAll: (id)sender;

Description forthcoming.

### deselectColumn:

- (void) deselectColumn: (int)columnIndex;

Description forthcoming.

### deselectRow:

- (void) deselectRow: (int)rowIndex;

Description forthcoming.

### doubleAction

- (SEL) doubleAction;

Description forthcoming.

### dragImageForRows:event:dragImageOffset:

- (NSImage*) dragImageForRows: (NSArray*)dragRows event: (NSEvent*)dragEvent dragImageOffset: (NSPoint*)dragImageOffset;

Description forthcoming.

### drawGridInClipRect:

- (void) drawGridInClipRect: (NSRect)aRect;

Description forthcoming.

### drawRow:clipRect:

- (void) drawRow: (int)rowIndex clipRect: (NSRect)clipRect;

Description forthcoming.

### drawsGrid

- (BOOL) drawsGrid;

Description forthcoming.

### editColumn:row:withEvent:select:

- (void) editColumn: (int)columnIndex row: (int)rowIndex withEvent: (NSEvent*)theEvent select: (BOOL)flag;

Description forthcoming.

### editedColumn

- (int) editedColumn;

Description forthcoming.

### editedRow

- (int) editedRow;

Description forthcoming.

### frameOfCellAtColumn:row:

- (NSRect) frameOfCellAtColumn: (int)columnIndex row: (int)rowIndex;

Description forthcoming.

### gridColor

- (NSColor*) gridColor;

Description forthcoming.

### headerView

- (NSTableHeaderView*) headerView;

Description forthcoming.

### highlightSelectionInClipRect:

- (void) highlightSelectionInClipRect: (NSRect)clipRect;

Description forthcoming.

### highlightedTableColumn

- (NSTableColumn*) highlightedTableColumn;

Description forthcoming.

### indicatorImageInTableColumn:

- (NSImage*) indicatorImageInTableColumn: (NSTableColumn*)aTableColumn;

Description forthcoming.

### intercellSpacing

- (NSSize) intercellSpacing;

Description forthcoming.

### isColumnSelected:

- (BOOL) isColumnSelected: (int)columnIndex;

Description forthcoming.

### isRowSelected:

- (BOOL) isRowSelected: (int)rowIndex;

Description forthcoming.

### moveColumn:toColumn:

- (void) moveColumn: (int)columnIndex toColumn: (int)newIndex;

Description forthcoming.

### noteNumberOfRowsChanged

- (void) noteNumberOfRowsChanged;

Description forthcoming.

### numberOfColumns

- (int) numberOfColumns;

Description forthcoming.

### numberOfRows

- (int) numberOfRows;

Description forthcoming.

### numberOfSelectedColumns

- (int) numberOfSelectedColumns;

Description forthcoming.

### numberOfSelectedRows

- (int) numberOfSelectedRows;

Description forthcoming.

### rectOfColumn:

- (NSRect) rectOfColumn: (int)columnIndex;

Description forthcoming.

### rectOfRow:

- (NSRect) rectOfRow: (int)rowIndex;

Description forthcoming.

### reloadData

- (void) reloadData;

Description forthcoming.

### removeTableColumn:

- (void) removeTableColumn: (NSTableColumn*)aColumn;

Description forthcoming.

### rowAtPoint:

- (int) rowAtPoint: (NSPoint)aPoint;

Description forthcoming.

### rowHeight

- (float) rowHeight;

Description forthcoming.

### rowsInRect:

- (NSRange) rowsInRect: (NSRect)aRect;

Description forthcoming.

### scrollColumnToVisible:

- (void) scrollColumnToVisible: (int)columnIndex;

Description forthcoming.

### scrollRowToVisible:

- (void) scrollRowToVisible: (int)rowIndex;

Description forthcoming.

### selectAll:

- (void) selectAll: (id)sender;

Description forthcoming.

### selectColumn:byExtendingSelection:

- (void) selectColumn: (int)columnIndex byExtendingSelection: (BOOL)flag;

Description forthcoming.

### selectRow:byExtendingSelection:

- (void) selectRow: (int)rowIndex byExtendingSelection: (BOOL)flag;

Description forthcoming.

### selectedColumn

- (int) selectedColumn;

Description forthcoming.

### selectedColumnEnumerator

- (NSEnumerator*) selectedColumnEnumerator;

Description forthcoming.

### selectedRow

- (int) selectedRow;

Description forthcoming.

### selectedRowEnumerator

- (NSEnumerator*) selectedRowEnumerator;

Description forthcoming.

### setAllowsColumnReordering:

- (void) setAllowsColumnReordering: (BOOL)flag;

Description forthcoming.

### setAllowsColumnResizing:

- (void) setAllowsColumnResizing: (BOOL)flag;

Description forthcoming.

### setAllowsColumnSelection:

- (void) setAllowsColumnSelection: (BOOL)flag;

Description forthcoming.

### setAllowsEmptySelection:

- (void) setAllowsEmptySelection: (BOOL)flag;

Description forthcoming.

### setAllowsMultipleSelection:

- (void) setAllowsMultipleSelection: (BOOL)flag;

Description forthcoming.

### setAutoresizesAllColumnsToFit:

- (void) setAutoresizesAllColumnsToFit: (BOOL)flag;

Description forthcoming.

### setAutosaveName:

- (void) setAutosaveName: (NSString*)name;

Description forthcoming.

### setAutosaveTableColumns:

- (void) setAutosaveTableColumns: (BOOL)flag;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;

Description forthcoming.

### setCornerView:

- (void) setCornerView: (NSView*)aView;

Description forthcoming.

### setDataSource:

- (void) setDataSource: (id)anObject;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setDoubleAction:

- (void) setDoubleAction: (SEL)aSelector;

Description forthcoming.

### setDrawsGrid:

- (void) setDrawsGrid: (BOOL)flag;

Description forthcoming.

### setDropRow:dropOperation:

- (void) setDropRow: (int)row dropOperation: (NSTableViewDropOperation)operation;

Description forthcoming.

### setFrame:

- (void) setFrame: (NSRect)frameRect;

Description forthcoming.

### setGridColor:

- (void) setGridColor: (NSColor*)aColor;

Description forthcoming.

### setHeaderView:

- (void) setHeaderView: (NSTableHeaderView*)aHeaderView;

Description forthcoming.

### setHighlightedTableColumn:

- (void) setHighlightedTableColumn: (NSTableColumn*)aTableColumn;

Description forthcoming.

### setIndicatorImage:inTableColumn:

- (void) setIndicatorImage: (NSImage*)anImage inTableColumn: (NSTableColumn*)aTableColumn;

Description forthcoming.

### setIntercellSpacing:

- (void) setIntercellSpacing: (NSSize)aSize;

Description forthcoming.

### setRowHeight:

- (void) setRowHeight: (float)rowHeight;

Description forthcoming.

### setVerticalMotionCanBeginDrag:

- (void) setVerticalMotionCanBeginDrag: (BOOL)flag;

Description forthcoming.

### sizeLastColumnToFit

- (void) sizeLastColumnToFit;

Description forthcoming.

### tableColumnWithIdentifier:

- (NSTableColumn*) tableColumnWithIdentifier: (id)anObject;

Description forthcoming.

### tableColumns

- (NSArray*) tableColumns;

Description forthcoming.

### textDidBeginEditing:

- (void) textDidBeginEditing: (NSNotification*)aNotification;

Description forthcoming.

### textDidChange:

- (void) textDidChange: (NSNotification*)aNotification;

Description forthcoming.

### textDidEndEditing:

- (void) textDidEndEditing: (NSNotification*)aNotification;

Description forthcoming.

### textShouldBeginEditing:

- (BOOL) textShouldBeginEditing: (NSText*)textObject;

Description forthcoming.

### textShouldEndEditing:

- (BOOL) textShouldEndEditing: (NSText*)textObject;

Description forthcoming.

### tile

- (void) tile;

Description forthcoming.

### verticalMotionCanBeginDrag

- (BOOL) verticalMotionCanBeginDrag;

Description forthcoming.

# Software documentation for the NSObject(NSTableDataSource) informal protocol

## NSObject(NSTableDataSource)

> Declared in:
>   AppKit/NSTableView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -numberOfRowsInTableView:
- -tableView:acceptDrop:row:dropOperation:
- -tableView:objectValueForTableColumn:row:
- -tableView:setObjectValue:forTableColumn:row:
- -tableView:validateDrop:proposedRow:proposedDropOperation:
- -tableView:writeRows:toPasteboard:

### numberOfRowsInTableView:

- (int) numberOfRowsInTableView: (NSTableView*)aTableView;

Description forthcoming.

### tableView:acceptDrop:row:dropOperation:

- (BOOL) tableView: (NSTableView*)tableView acceptDrop: (id<NSDraggingInfo>)info row: (int)row dropOperation: (NSTableViewDropOperation)operation;

Description forthcoming.

### tableView:objectValueForTableColumn:row:

- (id) tableView: (NSTableView*)aTableView objectValueForTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;

Description forthcoming.

### tableView:setObjectValue:forTableColumn:row:

- (void) tableView: (NSTableView*)aTableView setObjectValue: (id)anObject forTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;

Description forthcoming.

### tableView:validateDrop:proposedRow:proposedDropOperation:

- (NSDragOperation) tableView: (NSTableView*)tableView validateDrop: (id<NSDraggingInfo>)info proposedRow: (int)row proposedDropOperation: (NSTableViewDropOperation)operation;

Description forthcoming.

### tableView:writeRows:toPasteboard:

- (BOOL) tableView: (NSTableView*)tableView writeRows: (NSArray*)rows toPasteboard: (NSPasteboard*)pboard;

Description forthcoming.

# Software documentation for the NSObject(NSTableViewDelegate) informal protocol

## NSObject(NSTableViewDelegate)

> Declared in:
>   AppKit/NSTableView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -selectionShouldChangeInTableView:
- -tableView:didClickTableColumn:
- -tableView:didDragTableColumn:
- -tableView:mouseDownInHeaderOfTableColumn:
- -tableView:shouldEditTableColumn:row:
- -tableView:shouldSelectRow:
- -tableView:shouldSelectTableColumn:
- -tableView:willDisplayCell:forTableColumn:row:
- -tableViewColumnDidMove:
- -tableViewColumnDidResize:
- -tableViewSelectionDidChange:
- -tableViewSelectionIsChanging:

### selectionShouldChangeInTableView:

- (BOOL) selectionShouldChangeInTableView: (NSTableView*)aTableView;

Description forthcoming.

### tableView:didClickTableColumn:

- (void) tableView: (NSTableView*)tableView didClickTableColumn: (NSTableColumn*)tableColumn;

Description forthcoming.

### tableView:didDragTableColumn:

- (void) tableView: (NSTableView*)tableView didDragTableColumn: (NSTableColumn*)tableColumn;

Description forthcoming.

### tableView:mouseDownInHeaderOfTableColumn:

- (void) tableView: (NSTableView*)tableView mouseDownInHeaderOfTableColumn: (NSTableColumn*)tableColumn;

Description forthcoming.

### tableView:shouldEditTableColumn:row:

- (BOOL) tableView: (NSTableView*)aTableView shouldEditTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;

Description forthcoming.

### tableView:shouldSelectRow:

- (BOOL) tableView: (NSTableView*)aTableView shouldSelectRow: (int)rowIndex;

Description forthcoming.

### tableView:shouldSelectTableColumn:

- (BOOL) tableView: (NSTableView*)aTableView shouldSelectTableColumn: (NSTableColumn*)aTableColumn;

Description forthcoming.

### tableView:willDisplayCell:forTableColumn:row:

- (void) tableView: (NSTableView*)aTableView willDisplayCell: (id)aCell forTableColumn: (NSTableColumn*)aTableColumn row: (int)rowIndex;

Description forthcoming.

### tableViewColumnDidMove:

- (void) tableViewColumnDidMove: (NSNotification*)aNotification;

Description forthcoming.

### tableViewColumnDidResize:

- (void) tableViewColumnDidResize: (NSNotification*)aNotification;

Description forthcoming.

### tableViewSelectionDidChange:

- (void) tableViewSelectionDidChange: (NSNotification*)aNotification;

Description forthcoming.

### tableViewSelectionIsChanging:

- (void) tableViewSelectionIsChanging: (NSNotification*)aNotification;

Description forthcoming.

# Software documentation for the NSTableView(GNUPrivate) category

## NSTableView(GNUPrivate)

> Declared in:
>   AppKit/NSTableView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_selectColumn:modifiers:
- -_sendDoubleActionForColumn:

### _selectColumn:modifiers:

- (void) _selectColumn: (int)columnIndex modifiers: (unsigned int)modifiers;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _sendDoubleActionForColumn:

- (void) _sendDoubleActionForColumn: (int)columnIndex;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up